Index: /titan/titan/defaults.h
===================================================================
--- /titan/titan/defaults.h	(revision 15280)
+++ /titan/titan/defaults.h	(revision 15281)
@@ -85,5 +85,5 @@
 	status.topoffset = getconfigint("fbtopoffset", NULL);
 	status.bottomoffset = getconfigint("fbbottomoffset", NULL);
-	status.createthump = getconfigint("createthump", NULL);
+	status.createthumb = getconfigint("createthumb", NULL);
 	
 	status.bgpic = getskinconfig("bgpic", NULL);
Index: /titan/titan/filelist.h
===================================================================
--- /titan/titan/filelist.h	(revision 15280)
+++ /titan/titan/filelist.h	(revision 15281)
@@ -570,14 +570,14 @@
 							if(cmpfilenameext(filelist[i]->d_name, ".jpg") == 0)
 							{
-								char* thumpfile = NULL;
-								if(status.createthump == 1)
+								char* thumbfile = NULL;
+								if(status.createthumb == 1)
 								{
-									//check if thump exists
+									//check if thumb exists
 									char* tmpfile = ostrcat(createpath(node->input, "/"), tmpstr, 1, 0);
-									thumpfile = checkthump(tmpfile);
-									if(thumpfile != NULL)
+									thumbfile = checkthumb(tmpfile);
+									if(thumbfile != NULL)
 									{
 										free(tmpstr);
-										tmpstr = thumpfile;
+										tmpstr = thumbfile;
 									}
 									else if(tmpfile != NULL)
Index: /titan/titan/struct.h
===================================================================
--- /titan/titan/struct.h	(revision 15280)
+++ /titan/titan/struct.h	(revision 15281)
@@ -193,5 +193,5 @@
 {
 	//0-99 for ca module
-	//101 for thump thread
+	//101 for thumb thread
 	int type;
 	int flag;
@@ -1058,6 +1058,6 @@
 	//background picture for all screens
 	char* bgpic;
-	//should thump thread start
-	int createthump;
+	//should thumb thread start
+	int createthumb;
 } status;
 
Index: /titan/titan/thumb.h
===================================================================
--- /titan/titan/thumb.h	(revision 15281)
+++ /titan/titan/thumb.h	(revision 15281)
@@ -0,0 +1,55 @@
+#ifndef THUMB_H
+#define THUMB_H
+
+char* checkthumb(char* file)
+{
+	return ostrcat(file, ".thumb.jpg", 0, 0);
+}
+
+void thumbthread(struct stimerthread* self)
+{
+	int width = 0, height = 0;
+	unsigned char* buf = NULL;
+	struct queue* qe = NULL;
+	char* thumbfile = NULL, *tmpstr = NULL;
+
+	if(self == NULL) return;
+
+	debug(307, "start thumb thread");
+
+	while(self->aktion != STOP)
+	{
+		sleep 5;
+
+		qe = getqueue(101);
+		while(qe != NULL)
+		{
+			buf = loadjpg((char*)qe->data, int *width, int *height, 16);
+			if(buf != NULL)
+			{
+				buf = scale(buf, width, height, 3, 100, 100, 1);
+				if(buf != NULL)
+				{
+					tmpstr = ostrcat((char*)qe->data, NULL, 0, 0);
+					tmpstr = dirname(tmpstr);
+					tmpstr = ostrcat(tmpstr, "/.Thumbnails", 1, 0);
+					mkdir(tmpstr, 777);
+					free(tmpstr); tmpstr = NULL;
+
+					thumbfile = ostrcat((char*)qe->data, ".thumb.jpg", 1, 0);
+					debug(307, "create thumb: %s from %s", thumbfile, (char*)qe->data);
+					savejpg(thumbfile, 100, 100, buf);
+				}
+			}
+
+			free(buf); buf = NULL;
+			free(thumbfile); thumbfile = NULL;
+			delqueue(qe, 0);
+			qe = getqueue(dvbnode->devnr);
+		}
+	}
+
+	debug(307, "end thumb thread");
+}
+
+#endif
Index: /titan/titan/titan.c
===================================================================
--- /titan/titan/titan.c	(revision 15280)
+++ /titan/titan/titan.c	(revision 15281)
@@ -178,5 +178,5 @@
 #include "rguid.h"
 #include "channelhistroy.h"
-#include "thump.h"
+#include "thumb.h"
 //#include "cardreader.h"
 //#include "sci.h"
@@ -754,7 +754,7 @@
 	//check kill net (security)
 	addtimer(&ckeckkillnetthread, START, 1000, 1, NULL, NULL, NULL);
-	//thump create thread
-	if(getconfigint("createthump", NULL) == 1)
-		addtimer(&thumpthread, START, 1000, 1, NULL, NULL, NULL);
+	//thumb create thread
+	if(getconfigint("createthumb", NULL) == 1)
+		addtimer(&thumbthread, START, 1000, 1, NULL, NULL, NULL);
 
 	//start webserver