Index: /titan/plugins/TopfieldVFD/Makefile.am
===================================================================
--- /titan/plugins/TopfieldVFD/Makefile.am	(revision 23144)
+++ /titan/plugins/TopfieldVFD/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libtopfieldvfd.la
+libtopfieldvfd_la_SOURCES = TopfieldVFD.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/autotimer/Makefile.am
===================================================================
--- /titan/plugins/autotimer/Makefile.am	(revision 23144)
+++ /titan/plugins/autotimer/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libautotimer.la
+libautotimer_la_SOURCES = autotimer.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/browser/Makefile.am
===================================================================
--- /titan/plugins/browser/Makefile.am	(revision 23144)
+++ /titan/plugins/browser/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libbrower.la
+libbrower_la_SOURCES = browser.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/callmonitor1/Makefile.am
===================================================================
--- /titan/plugins/callmonitor1/Makefile.am	(revision 23144)
+++ /titan/plugins/callmonitor1/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libcallmonitor.la
+libcallmonitor_la_SOURCES = callmonitor1.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/catcatch/Makefile.am
===================================================================
--- /titan/plugins/catcatch/Makefile.am	(revision 23144)
+++ /titan/plugins/catcatch/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libcatcatch.la
+libcatcatch_la_SOURCES = catcatch.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/dlna/Makefile.am
===================================================================
--- /titan/plugins/dlna/Makefile.am	(revision 23144)
+++ /titan/plugins/dlna/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libdlna.la
+libdlna_la_SOURCES = dlna.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/dvdplayer/Makefile.am
===================================================================
--- /titan/plugins/dvdplayer/Makefile.am	(revision 23144)
+++ /titan/plugins/dvdplayer/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libdvdplayer.la
+libdvdplayer_la_SOURCES = dvdplayer.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/facebook/Makefile.am
===================================================================
--- /titan/plugins/facebook/Makefile.am	(revision 23144)
+++ /titan/plugins/facebook/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libfacebook.la
+libfacebook_la_SOURCES = facebook.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/filemanager/Makefile.am
===================================================================
--- /titan/plugins/filemanager/Makefile.am	(revision 23144)
+++ /titan/plugins/filemanager/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libfilemanager.la
+libfilemanager_la_SOURCES = filemanager.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/gmediarender/Makefile.am
===================================================================
--- /titan/plugins/gmediarender/Makefile.am	(revision 23144)
+++ /titan/plugins/gmediarender/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libgmediarender.la
+libgmediarender_la_SOURCES = gmediarender.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/hbbtv/Makefile.am
===================================================================
--- /titan/plugins/hbbtv/Makefile.am	(revision 23144)
+++ /titan/plugins/hbbtv/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libhbbtv.la
+libhbbtv_la_SOURCES = hbbtv.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/hello/Makefile.am
===================================================================
--- /titan/plugins/hello/Makefile.am	(revision 23144)
+++ /titan/plugins/hello/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libhello.la
+libhello_la_SOURCES = hello.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/imdb/Makefile.am
===================================================================
--- /titan/plugins/imdb/Makefile.am	(revision 23144)
+++ /titan/plugins/imdb/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libimdb.la
+libimdb_la_SOURCES = imdb.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/imdbapi/Makefile.am
===================================================================
--- /titan/plugins/imdbapi/Makefile.am	(revision 23144)
+++ /titan/plugins/imdbapi/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libimdbapi.la
+libimdbapi_la_SOURCES = imdbapi.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/instar/Makefile.am
===================================================================
--- /titan/plugins/instar/Makefile.am	(revision 23144)
+++ /titan/plugins/instar/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libinstar.la
+libinstar_la_SOURCES = instar.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/keylock/Makefile.am
===================================================================
--- /titan/plugins/keylock/Makefile.am	(revision 23144)
+++ /titan/plugins/keylock/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libkeylock.la
+libkeylock_la_SOURCES = keylock.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/lcdpearl1/Makefile.am
===================================================================
--- /titan/plugins/lcdpearl1/Makefile.am	(revision 23144)
+++ /titan/plugins/lcdpearl1/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = liblcdpearl.la
+liblcdpearl_la_SOURCES = lcdpearl1.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/lcdsamsung/Makefile.am
===================================================================
--- /titan/plugins/lcdsamsung/Makefile.am	(revision 23144)
+++ /titan/plugins/lcdsamsung/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = liblcdsamsung.la
+liblcdsamsung_la_SOURCES = lcdsamsung.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/mboxinfo/Makefile.am
===================================================================
--- /titan/plugins/mboxinfo/Makefile.am	(revision 23144)
+++ /titan/plugins/mboxinfo/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libmboxinfo.la
+libmboxinfo_la_SOURCES = mboxinfo.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/mc/Makefile.am
===================================================================
--- /titan/plugins/mc/Makefile.am	(revision 23144)
+++ /titan/plugins/mc/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libmc.la
+libmc_la_SOURCES = mc.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/networkbrowser/Makefile.am
===================================================================
--- /titan/plugins/networkbrowser/Makefile.am	(revision 23144)
+++ /titan/plugins/networkbrowser/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libnetworkbrowser.la
+libnetworkbrowser_la_SOURCES = networkbrowser.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/optimize/Makefile.am
===================================================================
--- /titan/plugins/optimize/Makefile.am	(revision 23144)
+++ /titan/plugins/optimize/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = liboptimize.la
+liboptimize_la_SOURCES = optimize.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/panel/Makefile.am
===================================================================
--- /titan/plugins/panel/Makefile.am	(revision 23144)
+++ /titan/plugins/panel/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libpanel.la
+libpanel_la_SOURCES = panel.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/permtime/Makefile.am
===================================================================
--- /titan/plugins/permtime/Makefile.am	(revision 23144)
+++ /titan/plugins/permtime/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libpermtime.la
+libpermtime_la_SOURCES = permtime.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/readerconfig/Makefile.am
===================================================================
--- /titan/plugins/readerconfig/Makefile.am	(revision 23144)
+++ /titan/plugins/readerconfig/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libreaderconfig.la
+libreaderconfig_la_SOURCES = readerconfig.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/rgui/Makefile.am
===================================================================
--- /titan/plugins/rgui/Makefile.am	(revision 23144)
+++ /titan/plugins/rgui/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = librgui.la
+librgui_la_SOURCES = rgui.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/scriptexec/Makefile.am
===================================================================
--- /titan/plugins/scriptexec/Makefile.am	(revision 23144)
+++ /titan/plugins/scriptexec/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libscriptexec.la
+libscriptexec_la_SOURCES = scriptexec.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/stock/Makefile.am
===================================================================
--- /titan/plugins/stock/Makefile.am	(revision 23144)
+++ /titan/plugins/stock/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libstock.la
+libstock_la_SOURCES = stock.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/stopifnotused/Makefile.am
===================================================================
--- /titan/plugins/stopifnotused/Makefile.am	(revision 23144)
+++ /titan/plugins/stopifnotused/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libstopifnotused.la
+libstopifnotused_la_SOURCES = stopifnotused.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/streaminfo/Makefile.am
===================================================================
--- /titan/plugins/streaminfo/Makefile.am	(revision 23144)
+++ /titan/plugins/streaminfo/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libstreaminfo.la
+libstreaminfo_la_SOURCES = stopstreaminfo.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/tithek/Makefile.am
===================================================================
--- /titan/plugins/tithek/Makefile.am	(revision 23144)
+++ /titan/plugins/tithek/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libtithek.la
+libtithek_la_SOURCES = tithek.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/tiwakeup/Makefile.am
===================================================================
--- /titan/plugins/tiwakeup/Makefile.am	(revision 23144)
+++ /titan/plugins/tiwakeup/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libtiwakeup.la
+libtiwakeup_la_SOURCES = tiwakeup.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/tmdb/Makefile.am
===================================================================
--- /titan/plugins/tmdb/Makefile.am	(revision 23144)
+++ /titan/plugins/tmdb/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libtmdb.la
+libtmdb_la_SOURCES = tmdb.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/usbreset/Makefile.am
===================================================================
--- /titan/plugins/usbreset/Makefile.am	(revision 23144)
+++ /titan/plugins/usbreset/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libusbreset.la
+libusbreset_la_SOURCES = usbreset.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/weather/Makefile.am
===================================================================
--- /titan/plugins/weather/Makefile.am	(revision 23144)
+++ /titan/plugins/weather/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libweather.la
+libweather_la_SOURCES = weather.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable
Index: /titan/plugins/zapback/Makefile.am
===================================================================
--- /titan/plugins/zapback/Makefile.am	(revision 23144)
+++ /titan/plugins/zapback/Makefile.am	(revision 23144)
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libzapback.la
+libzapback_la_SOURCES = zapback.c
+
+AM_CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+ALL_CFLAGS= -DSH4 -Deplayer3 -DDVDPLAYER -Os -export-dynamic -Wall -Wno-unused-but-set-variable