Index: /titan/plugins/networkbrowser/networkbrowser.h
===================================================================
--- /titan/plugins/networkbrowser/networkbrowser.h	(revision 25920)
+++ /titan/plugins/networkbrowser/networkbrowser.h	(revision 25921)
@@ -1873,5 +1873,5 @@
 	}
 	
-	mbox = menulistboxext(mlist, "networkbrowser", "Networkbrowser - show Shares", "%pluginpath%/networkbrowser/skin/", NULL, 1, &rcret, 0);
+	mbox = menulistboxext(mlist, "networkbrowser", _("Networkbrowser - show Shares"), "%pluginpath%/networkbrowser/skin/", NULL, 1, &rcret, 0);
 
 	if(rcret == getrcconfigint("rcred", NULL))
Index: /titan/plugins/readerconfig/readerconfig.h
===================================================================
--- /titan/plugins/readerconfig/readerconfig.h	(revision 25920)
+++ /titan/plugins/readerconfig/readerconfig.h	(revision 25921)
@@ -308,5 +308,5 @@
 	if(file_exist("/mnt/swapextensions/keys/oscam.server"))
 	{
-		tmpmlist = addmenulist(&mlist, "Use config from Flash (permanent)", NULL, NULL, 0, 0);
+		tmpmlist = addmenulist(&mlist, _("Use config from Flash (permanent)"), NULL, NULL, 0, 0);
 		changemenulistparam(tmpmlist, "/mnt/swapextensions", NULL, NULL, NULL);
 		free(tmpstr); tmpstr = NULL;
@@ -336,5 +336,5 @@
 	{
 		free(tmpstr); tmpstr = NULL;
-		mbox = menulistbox(mlist, NULL, "Choice Config File", NULL, NULL, 0, 0);
+		mbox = menulistbox(mlist, NULL, _("Choice Config File"), NULL, NULL, 0, 0);
 		if(mbox != NULL)
 			tmpstr = ostrcat(mbox->param, NULL, 0, 0);
Index: /titan/plugins/tithek/tithek.h
===================================================================
--- /titan/plugins/tithek/tithek.h	(revision 25920)
+++ /titan/plugins/tithek/tithek.h	(revision 25921)
@@ -1216,5 +1216,5 @@
 			struct menulist* mlist = NULL, *mbox = NULL;
 			
-			addmenulist(&mlist, "Streaming Playback (default)", NULL, NULL, 0, 0);
+			addmenulist(&mlist, _("Streaming Playback (default)")), NULL, NULL, 0, 0);
 			
 			if(!ostrncmp("http://", tmpstr1, 7))
@@ -1222,25 +1222,25 @@
 				if(flag == 4)
 				{
-					addmenulist(&mlist, "Streaming Playback Caching (0.5MB)", NULL, NULL, 0, 0);
-					addmenulist(&mlist, "Streaming Playback Caching (1MB)", NULL, NULL, 0, 0);
+					addmenulist(&mlist, _("Streaming Playback Caching (0.5MB)"), NULL, NULL, 0, 0);
+					addmenulist(&mlist, _("Streaming Playback Caching (1MB)"), NULL, NULL, 0, 0);
 				}	
 				else if(!ostrncmp("http://", tmpstr1, 7))
 				{
-//					addmenulist(&mlist, "Streaming Playback Caching (1MB)", NULL, NULL, 0, 0);
-//					addmenulist(&mlist, "Streaming Playback Caching (2MB)", NULL, NULL, 0, 0);
-//					addmenulist(&mlist, "Streaming Playback Caching (3MB)", NULL, NULL, 0, 0);
-//					addmenulist(&mlist, "Streaming Playback Caching (4MB)", NULL, NULL, 0, 0);
-					addmenulist(&mlist, "Streaming Playback Caching (5MB)", NULL, NULL, 0, 0);
-					addmenulist(&mlist, "Streaming Playback Caching (7.5MB)", NULL, NULL, 0, 0);
-					addmenulist(&mlist, "Streaming Playback Caching (10MB)", NULL, NULL, 0, 0);
+//					addmenulist(&mlist, _("Streaming Playback Caching (1MB)"), NULL, NULL, 0, 0);
+//					addmenulist(&mlist, _("Streaming Playback Caching (2MB)"), NULL, NULL, 0, 0);
+//					addmenulist(&mlist, _("Streaming Playback Caching (3MB)"), NULL, NULL, 0, 0);
+//					addmenulist(&mlist, _("Streaming Playback Caching (4MB)"), NULL, NULL, 0, 0);
+					addmenulist(&mlist, _("Streaming Playback Caching (5MB)"), NULL, NULL, 0, 0);
+					addmenulist(&mlist, _("Streaming Playback Caching (7.5MB)"), NULL, NULL, 0, 0);
+					addmenulist(&mlist, _("Streaming Playback Caching (10MB)"), NULL, NULL, 0, 0);
 					if(file_exist(getconfig("rec_streampath", NULL)))
 					{
-//						addmenulist(&mlist, "File Caching Playback (10MB / 120s)", NULL, NULL, 0, 0);
-//						addmenulist(&mlist, "File Caching Playback (20MB / 240s)", NULL, NULL, 0, 0);
-//						addmenulist(&mlist, "File Caching Playback (30MB / 360s)", NULL, NULL, 0, 0);
+//						addmenulist(&mlist, _("File Caching Playback (10MB / 120s)"), NULL, NULL, 0, 0);
+//						addmenulist(&mlist, _("File Caching Playback (20MB / 240s)"), NULL, NULL, 0, 0);
+//						addmenulist(&mlist, _("File Caching Playback (30MB / 360s)"), NULL, NULL, 0, 0);
 						if(status.expertmodus >= 11 || file_exist("/mnt/swapextensions/etc/.codecpack") || file_exist("/var/swap/etc/.codecpack") || file_exist("/var/etc/.codecpack"))
 						{
-							addmenulist(&mlist, "Download Full File", NULL, NULL, 0, 0);
-							addmenulist(&mlist, "Download Full File (background)", NULL, NULL, 0, 0);
+							addmenulist(&mlist, _("Download Full File"), NULL, NULL, 0, 0);
+							addmenulist(&mlist, _("Download Full File (background)"), NULL, NULL, 0, 0);
 						}
 					}
@@ -1250,5 +1250,5 @@
 			if(mbox != NULL) keyconf = mbox->name;
 			debug(99, "tmpstr1: %s filename: %s flag: %d", tmpstr1, filename, flag);
-			if(ostrcmp(keyconf, "Streaming Playback (default)") == 0)
+			if(ostrcmp(keyconf, _("Streaming Playback (default)")) == 0)
 			{
 				addconfigtmp("playerbuffersize", "0");
@@ -1256,5 +1256,5 @@
 				delconfigtmp("playerbuffersize");
 			}
-			else if(ostrcmp(keyconf, "Streaming Playback Caching (0.5MB)") == 0)
+			else if(ostrcmp(keyconf, _("Streaming Playback Caching (0.5MB)")) == 0)
 			{
 				addconfigtmp("playerbuffersize", "524288");
@@ -1262,5 +1262,5 @@
 				delconfigtmp("playerbuffersize");
 			}
-			else if(ostrcmp(keyconf, "Streaming Playback Caching (1MB)") == 0)
+			else if(ostrcmp(keyconf, _("Streaming Playback Caching (1MB)")) == 0)
 			{
 				addconfigtmp("playerbuffersize", "1048576");
@@ -1268,5 +1268,5 @@
 				delconfigtmp("playerbuffersize");
 			}
-			else if(ostrcmp(keyconf, "Streaming Playback Caching (2MB)") == 0)
+			else if(ostrcmp(keyconf, _("Streaming Playback Caching (2MB)")) == 0)
 			{
 				addconfigtmp("playerbuffersize", "2097152");
@@ -1274,5 +1274,5 @@
 				delconfigtmp("playerbuffersize");
 			}
-			else if(ostrcmp(keyconf, "Streaming Playback Caching (3MB)") == 0)
+			else if(ostrcmp(keyconf, _("Streaming Playback Caching (3MB)")) == 0)
 			{
 				addconfigtmp("playerbuffersize", "3145728");
@@ -1280,5 +1280,5 @@
 				delconfigtmp("playerbuffersize");
 			}
-			else if(ostrcmp(keyconf, "Streaming Playback Caching (4MB)") == 0)
+			else if(ostrcmp(keyconf, _("Streaming Playback Caching (4MB)")) == 0)
 			{
 				addconfigtmp("playerbuffersize", "4194304");
@@ -1286,5 +1286,5 @@
 				delconfigtmp("playerbuffersize");
 			}
-			else if(ostrcmp(keyconf, "Streaming Playback Caching (5MB)") == 0)
+			else if(ostrcmp(keyconf, _("Streaming Playback Caching (5MB)")) == 0)
 			{
 				addconfigtmp("playerbuffersize", "5242880");
@@ -1292,5 +1292,5 @@
 				delconfigtmp("playerbuffersize");
 			}
-			else if(ostrcmp(keyconf, "Streaming Playback Caching (7.5MB)") == 0)
+			else if(ostrcmp(keyconf, _("Streaming Playback Caching (7.5MB)")) == 0)
 			{
 				addconfigtmp("playerbuffersize", "7864320");
@@ -1298,5 +1298,5 @@
 				delconfigtmp("playerbuffersize");
 			}
-			else if(ostrcmp(keyconf, "Streaming Playback Caching (10MB)") == 0)
+			else if(ostrcmp(keyconf, _("Streaming Playback Caching (10MB)")) == 0)
 			{
 				addconfigtmp("playerbuffersize", "10485760");
@@ -1304,17 +1304,17 @@
 				delconfigtmp("playerbuffersize");
 			}
-			else if(ostrcmp(keyconf, "File Caching Playback (10MB / 120s)") == 0)
+			else if(ostrcmp(keyconf, _("File Caching Playback (10MB / 120s)")) == 0)
 			{
 				cacheplay(tmpstr1, filename, 1);
 			}
-			else if(ostrcmp(keyconf, "File Caching Playback (20MB / 240s)") == 0)
+			else if(ostrcmp(keyconf, _("File Caching Playback (20MB / 240s)")) == 0)
 			{
 				cacheplay(tmpstr1, filename, 2);
 			}
-			else if(ostrcmp(keyconf, "File Caching Playback (30MB / 360s)") == 0)
+			else if(ostrcmp(keyconf, _("File Caching Playback (30MB / 360s)")) == 0)
 			{
 				cacheplay(tmpstr1, filename, 3);
 			}
-			else if(ostrcmp(keyconf, "Download Full File") == 0)
+			else if(ostrcmp(keyconf, _("Download Full File")) == 0)
 			{
 				char* search = textinput("Filename", filename);
@@ -1335,5 +1335,5 @@
 				free(search), search = NULL;
 			}
-			else if(ostrcmp(keyconf, "Download Full File (background)") == 0)
+			else if(ostrcmp(keyconf, _("Download Full File (background)")) == 0)
 			{
 				char* search = textinput("Filename", filename);
Index: /titan/titan/extensions.h
===================================================================
--- /titan/titan/extensions.h	(revision 25920)
+++ /titan/titan/extensions.h	(revision 25921)
@@ -162,5 +162,5 @@
 	{
 		free(tmpstr); tmpstr = NULL;
-		mbox = menulistbox(mlist, "tpkinstallinfo", "Choice Install Medium", NULL, NULL, 0, 0);
+		mbox = menulistbox(mlist, "tpkinstallinfo", _("Choice Install Medium"), NULL, NULL, 0, 0);
 		if(mbox != NULL)
 			tmpstr = ostrcat(mbox->param, NULL, 0, 0);
@@ -195,10 +195,10 @@
 		clearscreen(load);
 
-		mbox = tpkmenulist(mlist, NULL, "Tpk Install - select section", NULL, NULL, 1, defentry, 0);
+		mbox = tpkmenulist(mlist, NULL, _("Tpk Install - select section"), NULL, NULL, 1, defentry, 0);
 
 		if(mbox != NULL)
 		{
 			debug(130, "section: %s", mbox->name);
-			mbox1 = tpkmenulist(mlist1, "tpkinstall", "Tpk Install - select file", "/tmp/tpk", mbox->name, 2, NULL, 1);
+			mbox1 = tpkmenulist(mlist1, "tpkinstall", _("Tpk Install - select file"), "/tmp/tpk", mbox->name, 2, NULL, 1);
 			
 			if(mbox1 != NULL && mbox1->param != NULL && mbox1->param1 != NULL)
@@ -269,5 +269,5 @@
 	{
 		tpklistinstalled(0);
-		mbox = tpkmenulist(mlist, NULL, "Tpk Remove - select file", NULL, NULL, 1, defentry, 2);
+		mbox = tpkmenulist(mlist, NULL, _("Tpk Remove - select file"), NULL, NULL, 1, defentry, 2);
 		
 		if(mbox != NULL && mbox->param != NULL)
Index: /titan/titan/keyactions.h
===================================================================
--- /titan/titan/keyactions.h	(revision 25920)
+++ /titan/titan/keyactions.h	(revision 25921)
@@ -19,5 +19,5 @@
 	if(flag == 1)
 	{
-		char* skintitle = "Key Action - Plugins";
+		char* skintitle = _("Key Action - Plugins");
 
 		if(status.mediadbfiles > 0)
@@ -48,15 +48,15 @@
 		}
 	
-		//addmenulist(&mlist, "Extensions List", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Auto Resolution", NULL, "resolution.png", 0, 0);
+		//addmenulist(&mlist, _("Extensions List"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Auto Resolution", NULL, "resolution.png", 0, 0);
 		if(checkemu() == 1)
-			addmenulist(&mlist, "Softcam Panel", NULL, NULL, 0, 0);
-		//addmenulist(&mlist, "TV / Radio Switch", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Multi EPG", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Graphic Multi EPG", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Sleep Timer", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Child Protection", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Subchannel", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Downloads", NULL, NULL, 0, 0);
+			addmenulist(&mlist, _("Softcam Panel"), NULL, NULL, 0, 0);
+		//addmenulist(&mlist, _("TV / Radio Switch"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Multi EPG"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Graphic Multi EPG"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Sleep Timer"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Child Protection"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Subchannel"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Downloads"), NULL, NULL, 0, 0);
 	
 		mbox = menulistbox(mlist, NULL, skintitle, NULL, NULL, 1, 0);
@@ -82,5 +82,5 @@
 						
 	debug(60, "key=%s", keyconf);
-	if(ostrcmp(keyconf, "Softcam Panel") == 0)
+	if(ostrcmp(keyconf, _("Softcam Panel")) == 0)
 	{
 		screensoftcam();
@@ -89,5 +89,5 @@
 		return;
 	}
-	else if(ostrcmp(keyconf, "Subchannel") == 0)
+	else if(ostrcmp(keyconf, _("Subchannel")) == 0)
 	{
 		screenlinkedchannel();
@@ -96,5 +96,5 @@
 		return;
 	}
-	else if(ostrcmp(keyconf, "Auto Resolution") == 0)
+	else if(ostrcmp(keyconf, _("Auto Resolution")) == 0)
 	{
 		keyactions_setres();
@@ -103,5 +103,5 @@
 		return;
 	}
-	else if(ostrcmp(keyconf, "Extensions List") == 0)
+	else if(ostrcmp(keyconf, _("Extensions List")) == 0)
 	{
 		screenkeyactions(1, 1);
@@ -110,5 +110,5 @@
 		return;
 	}
-	else if(ostrcmp(keyconf, "Multi EPG") == 0)
+	else if(ostrcmp(keyconf, _("Multi EPG")) == 0)
 	{
 		screenmultiepg(NULL, NULL, 0);
@@ -117,5 +117,5 @@
 		return;
 	}
-	else if(ostrcmp(keyconf, "Graphic Multi EPG") == 0)
+	else if(ostrcmp(keyconf, _("Graphic Multi EPG")) == 0)
 	{
 		screengmultiepg(NULL, NULL, 0);
@@ -124,5 +124,5 @@
 		return;
 	}
-	else if(ostrcmp(keyconf, "Sleep Timer") == 0)
+	else if(ostrcmp(keyconf, _("Sleep Timer")) == 0)
 	{
 		screenpowerofftimer();
@@ -131,5 +131,5 @@
 		return;
 	}
-	else if(ostrcmp(keyconf, "Child Protection") == 0)
+	else if(ostrcmp(keyconf, _("Child Protection")) == 0)
 	{
 		screenpin();
@@ -138,5 +138,5 @@
 		return;
 	}
-	else if(ostrcmp(keyconf, "Downloads") == 0)
+	else if(ostrcmp(keyconf, _("Downloads")) == 0)
 	{
 		screenbgdownload(0);
@@ -145,5 +145,5 @@
 		return;
 	}
-	else if(ostrcmp(keyconf, "MediaDB Scan Info") == 0)
+	else if(ostrcmp(keyconf, _("MediaDB Scan Info")) == 0)
 	{
 		get_mediadb_scan_info();
Index: /titan/titan/play.h
===================================================================
--- /titan/titan/play.h	(revision 25920)
+++ /titan/titan/play.h	(revision 25921)
@@ -616,16 +616,16 @@
 		if(status.play == 1)
 		{
-			addmenulist(&mlist, "Video Settings", NULL, NULL, 0, 0);
-			addmenulist(&mlist, "AV Settings", NULL, NULL, 0, 0);
-			addmenulist(&mlist, "iD3Tag Info", NULL, NULL, 0, 0);
-		}
-
-		addmenulist(&mlist, "MediaDB Edit", NULL, NULL, 0, 0);
+			addmenulist(&mlist, _("Video Settings"), NULL, NULL, 0, 0);
+			addmenulist(&mlist, _("AV Settings"), NULL, NULL, 0, 0);
+			addmenulist(&mlist, _("iD3Tag Info"), NULL, NULL, 0, 0);
+		}
+
+		addmenulist(&mlist, _("MediaDB Edit"), NULL, NULL, 0, 0);
 	
 		if(status.play == 0)
-			addmenulist(&mlist, "Delete File", NULL, NULL, 0, 0);
+			addmenulist(&mlist, _("Delete File"), NULL, NULL, 0, 0);
 			
 		if(status.mediadbfiles > 0)
-			addmenulist(&mlist, "MediaDB Scan Info", NULL, NULL, 0, 0);
+			addmenulist(&mlist, _("MediaDB Scan Info"), NULL, NULL, 0, 0);
 	}
 	else
@@ -633,33 +633,33 @@
 		if(status.expertmodus >= 11 || file_exist("/mnt/swapextensions/etc/.codecpack") || file_exist("/var/swap/etc/.codecpack") || file_exist("/var/etc/.codecpack"))
 		{
-			addmenulist(&mlist, "Search on KinoX", NULL, NULL, 0, 0);
-			addmenulist(&mlist, "Search on KinoX (local)", NULL, NULL, 0, 0);
-			addmenulist(&mlist, "Search on Movie4k", NULL, NULL, 0, 0);
-			addmenulist(&mlist, "Search on Movie4k (local)", NULL, NULL, 0, 0);
-			addmenulist(&mlist, "Search on Solarmovies (movie)", NULL, NULL, 0, 0);
-			addmenulist(&mlist, "Search on Solarmovies (serie)", NULL, NULL, 0, 0);
-			addmenulist(&mlist, "Search on Solarmovies (local)", NULL, NULL, 0, 0);
-			addmenulist(&mlist, "Search on Mle-HD (local)", NULL, NULL, 0, 0);
-			addmenulist(&mlist, "Search on Beeg (local)", NULL, NULL, 0, 0);
-			addmenulist(&mlist, "Search on Xvideos (local)", NULL, NULL, 0, 0);
-		}
-		addmenulist(&mlist, "Search on Netzkino (local)", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Search on Youtube", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Search on Youtube (local)", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Search on MyVideo", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Search on Myvideo (local)", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Search on ARD (local)", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Search on ZDF (local)", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Search on TecTime (local)", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Search on Giga (local)", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Search on Rtl-Now (local)", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Search on Rtl2-Now (local)", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Search on SuperRTL-Now (local)", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Search on VOX-Now (local)", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Search on InternetTv (local)", NULL, NULL, 0, 0);
-		addmenulist(&mlist, "Search on InternetRadio (local)", NULL, NULL, 0, 0);
-	}
-
-	addmenulist(&mlist, "Downloads", NULL, NULL, 0, 0);
+			addmenulist(&mlist, _("Search on KinoX"), NULL, NULL, 0, 0);
+			addmenulist(&mlist, _("Search on KinoX (local)"), NULL, NULL, 0, 0);
+			addmenulist(&mlist, _("Search on Movie4k"), NULL, NULL, 0, 0);
+			addmenulist(&mlist, _("Search on Movie4k (local)"), NULL, NULL, 0, 0);
+			addmenulist(&mlist, _("Search on Solarmovies (movie)"), NULL, NULL, 0, 0);
+			addmenulist(&mlist, _("Search on Solarmovies (serie)"), NULL, NULL, 0, 0);
+			addmenulist(&mlist, _("Search on Solarmovies (local)"), NULL, NULL, 0, 0);
+			addmenulist(&mlist, _("Search on Mle-HD (local)"), NULL, NULL, 0, 0);
+			addmenulist(&mlist, _("Search on Beeg (local)"), NULL, NULL, 0, 0);
+			addmenulist(&mlist, _("Search on Xvideos (local)"), NULL, NULL, 0, 0);
+		}
+		addmenulist(&mlist, _("Search on Netzkino (local)"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Search on Youtube"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Search on Youtube (local)"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Search on MyVideo"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Search on Myvideo (local)"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Search on ARD (local)"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Search on ZDF (local)"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Search on TecTime (local)"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Search on Giga (local)"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Search on Rtl-Now (local)"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Search on Rtl2-Now (local)"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Search on SuperRTL-Now (local)"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Search on VOX-Now (local)"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Search on InternetTv (local)"), NULL, NULL, 0, 0);
+		addmenulist(&mlist, _("Search on InternetRadio (local)"), NULL, NULL, 0, 0);
+	}
+
+	addmenulist(&mlist, _("Downloads", NULL, NULL, 0, 0);
 
 	//add plugins
@@ -668,11 +668,11 @@
 		if(child->del == PLUGINDELMARK && (status.security == 1 || (status.security == 0 && checkpluginskip(child->name) == 0)))
 		{
-			if(ostrcmp(child->name, "Streaminfo") == 0 && status.play == 1)
+			if(ostrcmp(child->name, _("Streaminfo") == 0 && status.play == 1)
 				addmenulist(&mlist, child->name, NULL, child->pic, 0, 0);
-			else if(ostrcmp(child->name, "IMDb") == 0)
+			else if(ostrcmp(child->name, _("IMDb")) == 0)
 				addmenulist(&mlist, child->name, NULL, child->pic, 0, 0);
-			else if(ostrcmp(child->name, "IMDb-API") == 0)
+			else if(ostrcmp(child->name, _("IMDb-API")) == 0)
 				addmenulist(&mlist, child->name, NULL, child->pic, 0, 0);
-//			else if(ostrcmp(child->name, "TMDb") == 0)
+//			else if(ostrcmp(child->name, _("TMDb")) == 0)
 //				addmenulist(&mlist, child->name, NULL, child->pic, 0, 0);
 		}
@@ -683,78 +683,78 @@
 	if(mbox != NULL)
 	{
-		if(ostrcmp(mbox->name, "Video Settings") == 0)
+		if(ostrcmp(mbox->name, _("Video Settings")) == 0)
 			screenvideosettings();
-		else if(ostrcmp(mbox->name, "AV Settings") == 0)
+		else if(ostrcmp(mbox->name, _("AV Settings")) == 0)
 			screenavsettings(0);
-		else if(ostrcmp(mbox->name, "IMDb") == 0)
+		else if(ostrcmp(mbox->name, _("IMDb")) == 0)
 			imdb_submenu(file, 0);
-		else if(ostrcmp(mbox->name, "IMDb-API") == 0)
+		else if(ostrcmp(mbox->name, _("IMDb-API")) == 0)
 			imdb_submenu(file, 1);
-		else if(ostrcmp(mbox->name, "TMDb") == 0)
+		else if(ostrcmp(mbox->name, _("TMDb")) == 0)
 			imdb_submenu(file, 2);
-		else if(ostrcmp(mbox->name, "iD3Tag Info") == 0)
+		else if(ostrcmp(mbox->name, _("iD3Tag Info")) == 0)
 			id3tag_info(file);
-		else if(ostrcmp(mbox->name, "MediaDB Scan Info") == 0)
+		else if(ostrcmp(mbox->name, _("MediaDB Scan Info")) == 0)
 			get_mediadb_scan_info();
-		else if(ostrcmp(mbox->name, "MediaDB Edit") == 0)
+		else if(ostrcmp(mbox->name, _("MediaDB Edit")) == 0)
 			screenmediadbedit(file, 0, 0);
-		else if(ostrcmp(mbox->name, "Delete File") == 0)
+		else if(ostrcmp(mbox->name, _("Delete File")) == 0)
 		{
 			playcheckdirrcret(file, 1);
 			ret = 7;
 		}
-		else if(ostrcmp(mbox->name, "Downloads") == 0)
+		else if(ostrcmp(mbox->name, _("Downloads")) == 0)
 			screenbgdownload(1);
-		else if(ostrcmp(mbox->name, "Search on Kinox") == 0)
+		else if(ostrcmp(mbox->name, _("Search on Kinox")) == 0)
 			ret = 2;
-		else if(ostrcmp(mbox->name, "Search on Kinox (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on Kinox (local)")) == 0)
 			ret = 8;
-		else if(ostrcmp(mbox->name, "Search on Solarmovies (movie)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on Solarmovies (movie)")) == 0)
 			ret = 3;
-		else if(ostrcmp(mbox->name, "Search on Solarmovies (serie)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on Solarmovies (serie)")) == 0)
 			ret = 4;
-		else if(ostrcmp(mbox->name, "Search on Solarmovies (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on Solarmovies (local)")) == 0)
 			ret = 9;
-		else if(ostrcmp(mbox->name, "Search on Youtube") == 0)
+		else if(ostrcmp(mbox->name, _("Search on Youtube")) == 0)
 			ret = 5;
-		else if(ostrcmp(mbox->name, "Search on Youtube (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on Youtube (local)")) == 0)
 			ret = 10;
-		else if(ostrcmp(mbox->name, "Search on MyVideo") == 0)
+		else if(ostrcmp(mbox->name, _("Search on MyVideo")) == 0)
 			ret = 6;
-		else if(ostrcmp(mbox->name, "Search on MyVideo (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on MyVideo (local)")) == 0)
 			ret = 11;
-		else if(ostrcmp(mbox->name, "Search on Movie4k") == 0)
+		else if(ostrcmp(mbox->name, _("Search on Movie4k")) == 0)
 			ret = 7;
-		else if(ostrcmp(mbox->name, "Search on Movie4k (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on Movie4k (local)")) == 0)
 			ret = 12;
-		else if(ostrcmp(mbox->name, "Search on InternetRadio (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on InternetRadio (local)")) == 0)
 			ret = 13;
-		else if(ostrcmp(mbox->name, "Search on InternetTv (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on InternetTv (local)")) == 0)
 			ret = 14;
-		else if(ostrcmp(mbox->name, "Search on ARD (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on ARD (local)")) == 0)
 			ret = 15;
-		else if(ostrcmp(mbox->name, "Search on ZDF (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on ZDF (local)")) == 0)
 			ret = 16;
-		else if(ostrcmp(mbox->name, "Search on TecTime (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on TecTime (local)")) == 0)
 			ret = 17;
-		else if(ostrcmp(mbox->name, "Search on Giga (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on Giga (local)")) == 0)
 			ret = 18;
-		else if(ostrcmp(mbox->name, "Search on Beeg (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on Beeg (local)")) == 0)
 			ret = 19;
-		else if(ostrcmp(mbox->name, "Search on Rtl2-Now (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on Rtl2-Now (local))") == 0)
 			ret = 20;
-		else if(ostrcmp(mbox->name, "Search on Rtl-Now (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on Rtl-Now (local)")) == 0)
 			ret = 21;
-		else if(ostrcmp(mbox->name, "Search on SuperRTL-Now (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on SuperRTL-Now (local)")) == 0)
 			ret = 22;
-		else if(ostrcmp(mbox->name, "Search on VOX-Now (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on VOX-Now (local)")) == 0)
 			ret = 23;
-		else if(ostrcmp(mbox->name, "Search on Xvideos (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on Xvideos (local)")) == 0)
 			ret = 24;
-		else if(ostrcmp(mbox->name, "Search on Mle-HD (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on Mle-HD (local)")) == 0)
 			ret = 25;
-		else if(ostrcmp(mbox->name, "Search on Netzkino (local)") == 0)
+		else if(ostrcmp(mbox->name, _("Search on Netzkino (local)")) == 0)
 			ret = 26;
-		else if(ostrcmp(mbox->name, "Downloads") == 0)
+		else if(ostrcmp(mbox->name, _("Downloads")) == 0)
 		{
 			if(status.play == 1)
Index: /titan/titan/record.h
===================================================================
--- /titan/titan/record.h	(revision 25920)
+++ /titan/titan/record.h	(revision 25921)
@@ -1362,5 +1362,5 @@
 	addmenulist(&mlist, _("add recording (enter duration)"), NULL, NULL, 0, 0);
 
-	mbox = menulistbox(mlist, _("recordlist"), _("Record"), NULL, NULL, 0, 0);
+	mbox = menulistbox(mlist, "recordlist", _("Record"), NULL, NULL, 0, 0);
 	
 	if(mbox != NULL)