Index: ki/pages/Plugins-Emus
===================================================================
--- /wiki/pages/Plugins-Emus	(revision 26730)
+++ 	(revision )
@@ -1,18 +1,0 @@
-----
-'''10.4 Emus''' [=#point10.4] ([wiki:German-Wiki#point0.1 Inhaltsverzeichnis])
-----
-[[Image(source:/ipk/source.sh4/emus_camd3_3_902/preview/prev.png)]]
-[[Image(source:/ipk/source.sh4/emus_gbox_800/preview/prev.png)]]
-[[Image(source:/ipk/source.sh4/emus_gbox_806/preview/prev.png)]]
-[[Image(source:/ipk/source.sh4/emus_incubus_1_22/preview/prev.png)]]
-[[Image(source:/ipk/source.sh4/emus_mbox0.6_0010/preview/prev.png)]]
-[[Image(source:/ipk/source.sh4/emus_mgcamd_1_35/preview/prev.png)]]
-[[Image(source:/ipk/source.sh4/emus_mgcamd_1_38a/preview/prev.png)]]
-[[Image(source:/ipk/source.sh4/emus_newcs/preview/prev.png)]]
-[[Image(source:/ipk/source.sh4/emus_oscam_4736v13/preview/prev.png)]]
-[[Image(source:/ipk/source.sh4/emus_oscam_7209/preview/prev.png)]]
-[[Image(source:/ipk/source.sh4/emus_oscam_8755/preview/prev.png)]]
-[[Image(source:/ipk/source.sh4/emus_oscam_8755small/preview/prev.png)]]
-[[Image(source:/ipk/source.sh4/emus_oscam_8933/preview/prev.png)]]
-[[Image(source:/ipk/source.sh4/emus_oscam_nightly/preview/prev.png)]]
-[[Image(source:/ipk/source.sh4/emus_oscam_spezial/preview/prev.png)]]
Index: /wiki/pages/Plugins-Emus-en
===================================================================
--- /wiki/pages/Plugins-Emus-en	(revision 26731)
+++ /wiki/pages/Plugins-Emus-en	(revision 26731)
@@ -0,0 +1,18 @@
+----
+'''10.4 Emus''' [=#point10.4] ([wiki:German-Wiki#point0.1 Inhaltsverzeichnis])
+----
+[[Image(source:/ipk/source.sh4/emus_camd3_3_902/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_gbox_800/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_gbox_806/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_incubus_1_22/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_mbox0.6_0010/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_mgcamd_1_35/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_mgcamd_1_38a/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_newcs/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_oscam_4736v13/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_oscam_7209/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_oscam_8755/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_oscam_8755small/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_oscam_8933/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_oscam_nightly/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_oscam_spezial/preview/prev.png)]]
Index: /wiki/pages/Plugins-Emus-ge
===================================================================
--- /wiki/pages/Plugins-Emus-ge	(revision 26731)
+++ /wiki/pages/Plugins-Emus-ge	(revision 26731)
@@ -0,0 +1,18 @@
+----
+'''10.4 Emus''' [=#point10.4] ([wiki:German-Wiki#point0.1 Inhaltsverzeichnis])
+----
+[[Image(source:/ipk/source.sh4/emus_camd3_3_902/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_gbox_800/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_gbox_806/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_incubus_1_22/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_mbox0.6_0010/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_mgcamd_1_35/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_mgcamd_1_38a/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_newcs/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_oscam_4736v13/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_oscam_7209/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_oscam_8755/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_oscam_8755small/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_oscam_8933/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_oscam_nightly/preview/prev.png)]]
+[[Image(source:/ipk/source.sh4/emus_oscam_spezial/preview/prev.png)]]
Index: ki/pages/login-en
===================================================================
--- /wiki/pages/login-en	(revision 26730)
+++ 	(revision )
@@ -1,11 +1,0 @@
-----
-'''13 manufacturer''' [=#point113] ([WikiStart#point0 content])
-----
-[[Image(http://i.imgur.com/3TwQr.jpg, 400)]][[br]]
-http://www.atemio.de
-
-Ultraplus manufactures web site
-http://ultrapower.co.nz
-
-[[br]]
-[[br]]