Index: ki/pages/About-TEST
===================================================================
--- /wiki/pages/About-TEST	(revision 26917)
+++ 	(revision )
@@ -1,9 +1,0 @@
->----
->'''About''' [=#point3.70.3] ([wiki:Interface-Operation-en#point103.70 Information (Back)])([wiki:Wiki-en#point0.2 Contents]) ([WikiStart#point0 Main page])
->
->
->[[Image(source:/wiki/Wiki-Pictures/EN/about.jpg)]][[BR]]
-> 
-> here you fiew information about the installed titan image.
-
-[[br]]
Index: /wiki/pages/Remote-Device-Control-ge
===================================================================
--- /wiki/pages/Remote-Device-Control-ge	(revision 26917)
+++ /wiki/pages/Remote-Device-Control-ge	(revision 26918)
@@ -72,53 +72,46 @@
 
  
- ||'''Resolution:''' ||This Key Switches the videomode.||
- ||'''V.Format:''' ||This Key Switches the Video format.||
- ||'''Recall:''' ||This key can bring up the recent channel history so you can jump easilly between programs.||
- ||'''Info:''' ||This Button displays the infobar.||
- ||'''fav:''' ||This button brings up the favourite and Boquet lists to easilly select programs.||
- ||'''Menu:''' ||This key opens the menu.||
- ||'''Sleep:''' ||This Key can setup the sleep timer.||
- ||'''Help:''' ||This key can display detailed information and help text's.||
- ||'''Exit:''' ||This key exits menus and popups .||
- ||'''text:''' ||This key shows the teletext display.||
- ||'''Ok:''' ||This button confirms menu items and popups.||
-
-[[br]]
-
-'''Programming the universal remote to operate a supported TV'''
-
-This section explains how to automatically search and program your universal remote control to operate your tv
-
-NOTE: If no inputs for 10 seconds during Setting the TV RC code the setting mode is terminated.
-
-'''Automatic code search '''
-
- * Press the TV / Atevio button on the remote (for at least 3 seconds) until the LED flashes twice.
-
-   Enter the code 001. The LED flashes twice to confirm the entry. 
-
- * Press and hold the "ON / OFF" button until the TV turns off.
-   
-   Note: The LED flashes every 1.5 seconds and sends a new TV power rc code.
-
- * Release the button immediately then press the "OK" button to store the TV code.
-
-  (This can take up to 15 minutes to cycle all the tv's pre programmed in to the remote from the factory) 
-
-   If you dont let go of the power key in time it will step to the next RC Power button code if this happens use the D-Pad down to rewind 5 codes to attempt to store the code again.
-
- * To interrupt the search mode, Press the Exit button for 2 seconds and return to normal operation or wait for 10 seconds with no key presses. 
-
- * The remote control blinks 5 times at the end of the list if the tv has not turned off by the time your tv is not a supported model. 
-
-'''Reset remote to factory programming'''
-
-This will reset the remote back to a factory non programmed state, this is nessesary if the remote  needs to be reprogrammed to operate a new TV and was previously programmed.
-
- * Press the TV / Atevio button on the remote (for at least 3 seconds) until the LED flashes twice.
-
- * Enter the code 000. 
- 
- * The LED flashes twice to confirm the entry. The remote control will now be reset (no code programmed)
+ ||'''Resolution:''' ||wechselt zwischen den Bildschirm Auflösungen||
+ ||'''V.Format:''' ||wechselt die Bilschrimformate||
+ ||'''Recall:''' ||wechselt zum Menü der zuletzt angezappten Sender um schnell wieder auf diese zurück zu wechseln||
+ ||'''Info:''' ||öffnet den Info Balken||
+ ||'''Fav:''' ||öffnet das Favoriten Menü||
+ ||'''Menu:''' ||öffnet das Hauptmenü||
+ ||'''Sleep:''' ||öffnet das Sleeptimer Menü um diesen zu aktivieren||
+ ||'''Help:''' ||bringt zusätzliche Hilfetexte und Informationen||
+ ||'''Exit:''' ||beendet Menüs und geöffnete Plugins und bringt Sie zum Fernsehbild zurück.||
+ ||'''text:''' ||öffnet den Teletext||
+ ||'''Ok:''' ||bestätigt Fernbedienungseingaben und Änderungen||
+
+[[br]]
+
+'''Programmierung der Fernbedienung um damit unterstütze TV Geräte zu bedienen'''
+
+ACHTUNG: erfolgt für mehr als 10 Sekunden kein Tastendruck während der Programmierung wird der Anlernmodus der Fernbedienung beebdet.
+
+'''Automatische Fernbedienungscode Suche '''
+
+ * Drücken Sie für mindestens 3 Sekunden lang die TV / Atevio Taste bis die LED zwei mal blinkt.
+  Geben Sie den Code 001 ein. Das Led blinkt wieder zwei mal als Bestätigung.
+
+ * Drücken Sie die ON/OFF Taste so lange, bis Ihr TV dadurch ausschaltet. (Dieser VOrgang kann bis zu 15 Minuten dauern)
+   Hinweis: Die Fernbedienung sendet alle 1,5 Sek.einen neuen Code und die LED blinkt.
+
+ * Sobald der TV abgeschaltet hat lösen Sie den Tastendruck und drücken "OK" um den neuen TV Code zu speichern.
+  Wenn Sie die Taste zu spät ausgelassen haben können Sie mit der Pfeil nach unten Taste einige Codeabfragen zurücckspringen und den Code neu speichern.
+  
+ * Um den Suchmodus abzubrechen drücken Sie die EXIT Taste für ca. 2 Sekunden oder Sie warten mehr als 10 Sekunden ohne dass eine Taste gedrückt wurde.
+
+ * Falls die Fernbedienung nach einer Zeit 5 mal blinkt ist das Ende der unterstützten TV Modelle erreicht. Wenn Ihr TV also nicht abgeschaltet hat wird er von der Fernbedienung nicht unterstützt.
+ 
+'''Wiederherstellung des Auslieferungszustandes Ihrer Fernbedienung'''
+
+Folgende Schritte bringen Ihre Fernbedienung wieder in den Auslieferungszustand. Das ist notwendig wenn Sie einen neuen TV anlernen wolen.
+
+ * Drücken Sie für mindestens 3 Sekunden lang die TV / Atevio Taste bis die LED zwei mal blinkt.
+
+ * geben Sie den Code 000 ein. 
+ 
+ * Die LEd blinkt zwei mal um die Eingabe zu bestätigen. Ihre Fernbedienung befindet sich jetzt wieder im Urzustand.
 
 
@@ -253,18 +246,14 @@
 '''Gerät Bedienung''' [=#point4.20] ([#point4 Seitenanfang])
 ----
-
+'''Atevio 7000'''
 
 [[Image(source:/wiki/Wiki-Pictures/DE/On_Device_Control.jpg)]][[br]]
 
-The section contains information on the functions and operation of your Receiver from the onboard buttons.
-Please note: the control is very limited from the on device controls but simple menu and tv control's can be made:
-
-'''Device Controll keys'''
-
- 
- ||'''Power''' ||This Key Switches to the power menu or shuts down depending on the "power action" see ([#point3.60.6 Adjust]) for more info. ||
- ||'''Menu:''' ||This Key brongs up the on screen display/ menu. ||
- ||'''Ok:''' ||This key accept on screen prompts. ||
- ||'''D-pad:''' ||These buttons can control the volume and TV channel when on the TV display it can also be used to navigate the menu and on screen prompts. ||
+Hier finden Sie die Funktionen der Tasten die sich am Gerät bzw. unter der Frontklappe Ihres Receivers befinden. 
+
+ ||'''Power''' ||je nach Einstellung im Menü öffnet diese Taste das Ausschalt Menü oder schaltet den Receiver aus.||
+ ||'''Menu:''' ||öffnet das Hauptmenü ||
+ ||'''Ok:''' ||bestätigt die Eingaben ||
+ ||'''Cursor Tasten:''' || ||
 
 ----