Index: wiki/pages/de/History
===================================================================
--- wiki/pages/de/History	(revision 28110)
+++ wiki/pages/de/History	(revision 28111)
@@ -1,4 +1,23 @@
 ----
-'''1 Über''' [=#point1] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+'''1 TitanNit Info Contents ''' [=#point1] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+[[br]]
+This section conatins information on TitanNit and frequently asked questions about it.
+Please choose an item below to find more information.
+
+ * ([#point1.1 Über]) 
+ * ([#point1.2 Geschichte])
+ * ([#point1.3 Funktionsumfang])
+ * ([#point1.4 Frequently Asked Questions])
+[[br]]
+[[br]]
+[[Image(source:/ipk/source/bootlogos_TitanNit_0_3/_path_/etc/boot/bootlogo.jpg, 240px)]] [[br]]
+[[br]]
+[[br]]
+
+
+
+----
+'''1 Über''' [=#point1.1] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
 ----
 TitanNit ist ein Betriebssystem für einige Kathrein und Atemio/Atevio Digital Satelliten Receiver. [[br]]
@@ -15,5 +34,5 @@
 
 ----
-'''1.1 Geschichte''' [=#point1.1]([wiki:Wiki#point0 Inhaltsverzeichnis]) ([WikiStart#point0 Sprachauswahl])
+'''1.1 Geschichte''' [=#point1.2]([wiki:Wiki#point0 Inhaltsverzeichnis]) ([WikiStart#point0 Sprachauswahl])
 ----
  * Angefangen hat es im April 2011. Unser Developer Nit hat still und heimlich drei Wochen lang am Grundstein für Titan gearbeitet. Nach der Vorstellung ist Obi mit an Bord gekommen und der Rest vom Team auch. Alle waren begeistert wie schnell so etwas entstehen kann.
@@ -32,5 +51,5 @@
 
 ----
-'''1.2 Funktionsumfang''' [=#point1.2] ([wiki:Wiki#point0 Inhaltsverzeichnis]) ([WikiStart#point0 Sprachauswahl])
+'''1.2 Funktionsumfang''' [=#point1.3] ([wiki:Wiki#point0 Inhaltsverzeichnis]) ([WikiStart#point0 Sprachauswahl])
 ----
 [[br]]
@@ -63,2 +82,92 @@
 
 [[br]]
+
+
+
+----
+'''Frequently Asked Questions''' [=#point1.4] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+[[br]]
+
+'''What is Titan?'''[[br]]TitanNit is a semi closed source replacement operating system for kathrein and Atemio/Atevio digital set top receivers designed to completly replace the factory software.
+[[br]]
+
+'''What can Titan do?'''[[br]]Titan was primarally designed to play/view and record live tv services from tresterial, cable and satellite, it can also be used to play/view the most popular video, audio, and picture formats, and many more lesser-known formats, including:
+ Video - DVD-Video, VCD/SVCD, MPEG-1/2/4, DivX, XviD, Matroska 
+Audio - MP3, AAC. 
+Picture - JPG, GIF, PNG.
+
+
+These can all be played directly from the hard-drive or from a computer over a local network (LAN) internet IPTV services and media streams hosted by the [[wiki:Plugins-Player#point10.11 TiThek]] plugin.
+
+ TitanNit can play DVD-Video movies (with and without menus) from ISO/IMG images and even ZIP/RAR-archives with the use of the [[wiki:Plugins-Player#point10.11 dvd-player plugin]].
+ TitanNit has a simple user interface that's pleasant and easy to use. 
+
+All these features enable your device to function as a full multimedia entertainment system for your tv for the whole family to enjoy. 
+[[br]]
+[[br]]
+
+'''What features does TitanNit have?'''[[br]]See the complete list of supported features in the [[wiki:Versions#point6 software versions changelog]] for information of the offically supported features.
+[[br]]
+[[br]]
+ 
+'''Where can I suggest/request a new feature or function to be implemented into TitanNit?'''[[br]]You can log a NEW feature/function request in our tracker. Just make sure that you first remember to search for existing "Feature Requests" before logging a new request/ticket! (see [wiki:Troubleshooting#point12.1 12.1 Bug Reporting] for information on submitting a ticket).
+
+You may also post a copy of your suggestion in the feature-suggestion section of our [http://www.aaf-digital.info/forum/forum.php AAF Digital Forum] if you want it open for discussion,
+Please respect that your request only counts as a suggestion, there' s no guarantee that it will implemented soon or ever.
+
+Almost all users think their own ideas is the most important, and a very common comment is: "if you only add these features then TitanNit will be perfect for me".
+
+You could try bribing the devs with elaborate gifts :-) flattery will get you every where and agorant requests will most likely get your posts deleted or get you banned from the forum please follow the rules of the forum [http://www.aaf-digital.info/ here].
+[[br]]
+[[br]]
+ 
+'''When will this and that feature or function be supported by TitanNit?'''[[br]]TitanNit development is driven by the tasks that are important to the individual developers and to the hardware sponsors Atemio, if you have a funky idea or feature you wish implemented submit a request ticket (see [wiki:Troubleshooting#point12.1 12.1 Bug Reporting], but make an extensive search of the forum and tickets before requesting it as it has probally been sugested before.
+[[br]]
+[[br]]
+
+'''Is TitanNit, or the AAFTeam affiliated with Fortis, katherin or ..... or the hardware manufacturer of my Reciever?'''[[br]]No, TitanNit and its members are not in any way affiliated with the manufactures in any way. TitanNit is a third party operating system designed to replace the manufactures original operating system.
+[[br]]
+[[br]]
+
+'''Will the instalation of Titan Void my Warranty?'''[[br]]Yes probally but this software is tested to ensure it won't dammage your reciever and can be reverted at any time to a factory condition. please see [wiki:Supported-Receivers#point7 Supported Receivers] for a list of suspected supported receivers, If you have successfully installed TitanNit on your Receiver please inform an admin member so this list can be updated and verified.
+
+If the factory software was so feature packed and bugless there would be no need for software like TitanNit but sadly this is a world where software is driven by sales and purchases by the big players who request features, but TitanNit is a little different it was started just because the users/ devs wanted something better than what was handed to them by the manufacturer.
+[[br]]
+[[br]]
+
+'''Why is TitanNit Not available for my receiver model XXX?'''[[br]]TitanNit is funded by Atemio who supplys hardware to the devs in return for developing software for use on these devices.
+In future TitanNit may be available for your receiver as support in increaced, at this time Titan in in development for the Broadcom Mips Archeture for the upcomming release of the Atemio 5200 which will be the first non SH4 based reciever supported by TitanNit.
+[[br]]
+[[br]]
+
+'''How do I ...'''[[br]] I don't know I suggest you read the [wiki:Quick-Start-Guide#point0 Quick Start Guide], manual, check the rest of the wiki or proform a [http://www.aaf-digital.info/forum/search.php?search_type=1 search] on the forum, as it has most likely been asked before and you will find the answer, as a last resort post a question on the [http://www.aaf-digital.info/forum/forum.php AAF Digital Forum].
+[[br]]
+[[br]]
+
+'''Where should I put videos/music and pictures so that Titan can read it?''' [[br]]Anywhere you like. TitanNit can read off the local harddisk,usb sticks, or from network sources. Simply press "Add a Source" using the network Browser and browse away.
+>[[Image(source:/wiki/Wiki-Pictures/EN/Network-Browser.jpg, 25%)]][[br]]
+[[br]]
+[[br]]
+
+'''What is the default username and password to the built-in FTP server and telnet server?'''Both the default password and the user name is “root” (in lower case) as with many linux instalations.
+[[br]]
+[[br]]
+
+'''Can I watch recordings from my decoder when on holiday?'''[[br]]yes you can you will need to set up either a static ip on your home network or set up a dynadns server, from there you can log onto the web interface and use video lan to watch tv or your recordings.
+[[br]]
+[[br]]
+
+'''Can I thank and or Chat the TitanNit team?''[[br]]Yes sure you can jump on the [[http://www.aaf-digital.info/forum/ AAFforum]]  and leave a post and or stop by [wiki:Contact#point15 Skype] and request a invite the majority of us speak german, some of us speak english also.
+
+'''Do you accept donations?'''[[br]] the team is currently fully funded and no donations are nesessary but if you have some device that may be of use with titan feel free to contact us.
+
+'''How come the Wiki does not show how to operate feature or function.....?'''[[br]]Titan Is in development and is updated almost daily some features plugins or informations have yet to be merged in, this forum is open to editing by the community feel free to log in and add said feature's informatation to the wiki.
+[[br]]
+[[br]]
+
+([#point1 Top of Page]) 
+ 
+ 
+
+