Index: /titan/error/create_po_error_code
===================================================================
--- /titan/error/create_po_error_code	(revision 29689)
+++ /titan/error/create_po_error_code	(revision 29690)
@@ -4,5 +4,5 @@
 /home/atemio/flashimg/source.titan/po/fr/LC_MESSAGES/titan.outfile.po: warning: Charset missing in header.
                                                                                 Message conversion to user's charset will not work.
-817 translated messages, 1733 untranslated messages.
+817 translated messages, 1734 untranslated messages.
 [createpo.sh] xgettext --omit-header -j -k_ *.* -o /home/atemio/flashimg/source.titan/po/ru/LC_MESSAGES/titan.po_auto.utf.po
 [createpo.sh] xgettext --omit-header -k_ *.* -o /home/atemio/flashimg/source.titan/po/ru/LC_MESSAGES/titan.new.po
@@ -10,5 +10,5 @@
 /home/atemio/flashimg/source.titan/po/ru/LC_MESSAGES/titan.outfile.po: warning: Charset missing in header.
                                                                                 Message conversion to user's charset will not work.
-844 translated messages, 1706 untranslated messages.
+844 translated messages, 1707 untranslated messages.
 [createpo.sh] xgettext --omit-header -j -k_ *.* -o /home/atemio/flashimg/source.titan/po/en/LC_MESSAGES/titan.po_auto.utf.po
 [createpo.sh] xgettext --omit-header -k_ *.* -o /home/atemio/flashimg/source.titan/po/en/LC_MESSAGES/titan.new.po
@@ -16,5 +16,5 @@
 /home/atemio/flashimg/source.titan/po/en/LC_MESSAGES/titan.outfile.po: warning: Charset missing in header.
                                                                                 Message conversion to user's charset will not work.
-1253 translated messages, 1297 untranslated messages.
+1253 translated messages, 1298 untranslated messages.
 [createpo.sh] xgettext --omit-header -j -k_ *.* -o /home/atemio/flashimg/source.titan/po/vn/LC_MESSAGES/titan.po_auto.utf.po
 [createpo.sh] xgettext --omit-header -k_ *.* -o /home/atemio/flashimg/source.titan/po/vn/LC_MESSAGES/titan.new.po
@@ -22,5 +22,5 @@
 /home/atemio/flashimg/source.titan/po/vn/LC_MESSAGES/titan.outfile.po: warning: Charset missing in header.
                                                                                 Message conversion to user's charset will not work.
-1325 translated messages, 1225 untranslated messages.
+1325 translated messages, 1226 untranslated messages.
 [createpo.sh] xgettext --omit-header -j -k_ *.* -o /home/atemio/flashimg/source.titan/po/it/LC_MESSAGES/titan.po_auto.utf.po
 [createpo.sh] xgettext --omit-header -k_ *.* -o /home/atemio/flashimg/source.titan/po/it/LC_MESSAGES/titan.new.po
@@ -28,5 +28,5 @@
 /home/atemio/flashimg/source.titan/po/it/LC_MESSAGES/titan.outfile.po: warning: Charset missing in header.
                                                                                 Message conversion to user's charset will not work.
-1385 translated messages, 1165 untranslated messages.
+1385 translated messages, 1166 untranslated messages.
 [createpo.sh] xgettext --omit-header -j -k_ *.* -o /home/atemio/flashimg/source.titan/po/pl/LC_MESSAGES/titan.po_auto.utf.po
 [createpo.sh] xgettext --omit-header -k_ *.* -o /home/atemio/flashimg/source.titan/po/pl/LC_MESSAGES/titan.new.po
@@ -34,5 +34,5 @@
 /home/atemio/flashimg/source.titan/po/pl/LC_MESSAGES/titan.outfile.po: warning: Charset missing in header.
                                                                                 Message conversion to user's charset will not work.
-820 translated messages, 1730 untranslated messages.
+820 translated messages, 1731 untranslated messages.
 [createpo.sh] xgettext --omit-header -j -k_ *.* -o /home/atemio/flashimg/source.titan/po/de/LC_MESSAGES/titan.po_auto.utf.po
 [createpo.sh] xgettext --omit-header -k_ *.* -o /home/atemio/flashimg/source.titan/po/de/LC_MESSAGES/titan.new.po
@@ -40,5 +40,5 @@
 /home/atemio/flashimg/source.titan/po/de/LC_MESSAGES/titan.outfile.po: warning: Charset missing in header.
                                                                                 Message conversion to user's charset will not work.
-1834 translated messages, 716 untranslated messages.
+1834 translated messages, 717 untranslated messages.
 [createpo.sh] xgettext --omit-header -j -k_ *.* -o /home/atemio/flashimg/source.titan/po/nl/LC_MESSAGES/titan.po_auto.utf.po
 [createpo.sh] xgettext --omit-header -k_ *.* -o /home/atemio/flashimg/source.titan/po/nl/LC_MESSAGES/titan.new.po
@@ -46,5 +46,5 @@
 /home/atemio/flashimg/source.titan/po/nl/LC_MESSAGES/titan.outfile.po: warning: Charset missing in header.
                                                                                 Message conversion to user's charset will not work.
-1553 translated messages, 997 untranslated messages.
+1553 translated messages, 998 untranslated messages.
 [createpo.sh] xgettext --omit-header -j -k_ *.* -o /home/atemio/flashimg/source.titan/po/es/LC_MESSAGES/titan.po_auto.utf.po
 /home/atemio/flashimg/source.titan/po/es/LC_MESSAGES/titan.po_auto.utf.po:521:79: invalid control sequence
@@ -59,12 +59,11 @@
 /home/atemio/flashimg/source.titan/po/es/LC_MESSAGES/titan.po_auto.utf.po:6045:3: invalid control sequence
 /home/atemio/flashimg/source.titan/po/es/LC_MESSAGES/titan.po_auto.utf.po:6184:29: invalid control sequence
-/home/atemio/flashimg/source.titan/po/es/LC_MESSAGES/titan.po_auto.utf.po:6331:36: invalid control sequence
-xgettext: found 10 fatal errors
+xgettext: found 9 fatal errors
 [createpo.sh] ############################################
 [createpo.sh] ###### error should be in the middle #######
 [createpo.sh] ############################################
-  6330	msgstr ""
-  6331	"No se puede iniciar la descarga. \ NPor favor, intÃ©ntelo de nuevo mÃ¡s "
-  6332	"tarde."
+  6183	msgstr ""
+  6184	"Archivo Timeshift a corto \ nPor favor, espere un poco y vuelva a intentarlo"
+  6185	
 [createpo.sh] ############################################
 [createpo.sh] ################## coding #################